Bug 419131 - mkinitrd --force-lvm-probe and --force-raid-probe still documented in internal help
mkinitrd --force-lvm-probe and --force-raid-probe still documented in interna...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 21:17 EST by saul
Modified: 2008-11-26 12:37 EST (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch to enable --force-lvm-probe functionality (1014 bytes, patch)
2008-06-18 21:16 EDT, Paul Wayper
no flags Details | Diff

  None (edit)
Description saul 2007-12-10 21:17:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
--force-lvm-probe and --force-raid-probe are no-ops in the mkinitrd code. They set flags that are never referenced, except to make sure contradictory options are not set. They are not documented in the mkinitrd man page, but they are documented in the internal usage message:

>usage: mkinitrd [--version] [--help] [-v] [-f] [--preload <module>]
>       [--force-ide-probe] [--force-scsi-probe | --omit-scsi-modules]
>       [--image-version] [--force-raid-probe | --omit-raid-modules]
>       [--with=<module>] [--force-lvm-probe | --omit-lvm-modules]
>       [--builtin=<module>] [--omit-dmraid] [--net-dev=<interface>]
>       [--fstab=<fstab>] [--nocompress] <initrd-image> <kernel-version>

While this is largely harmless, there are many web pages that reference these flags as fixes to problems.


Version-Release number of selected component (if applicable):
6.0.19-4.fc8

How reproducible:
Always


Steps to Reproduce:
1. Use the flags
2.
3.

Actual Results:
Nothing.

Expected Results:
The flags should have been rejected, the usage information should not have included them.

Additional info:
Comment 1 Paul Wayper 2008-06-18 21:16:25 EDT
Created attachment 309809 [details]
A patch to enable --force-lvm-probe functionality
Comment 2 Peter Jones 2008-07-14 17:19:57 EDT
Fixed in git; will be fixed in next rawhide build.
Comment 3 Bug Zapper 2008-11-26 03:56:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-11-26 12:37:04 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.